# This file was automatically generated on 2019-11-18 18:15:18 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Manage debconf database entries on Debian based systems. This type
# can either set or remove a value for a debconf database entry. It
# uses multiple programs from the 'debconf' package.
# 
# Examples:
# 
#     debconf { 'tzdata/Areas':
#       type  => 'select',
#       value => 'Europe',
#     }
# 
#     debconf { 'dash/sh':
#       type  => 'boolean',
#       value => 'true',
#     }
# 
#     debconf { 'libraries/restart-without-asking':
#       package => 'libc6',
#       type    => 'boolean',
#       value   => 'true',
#       seen    => true,
#     }
Puppet::Resource::ResourceType3.new(
  'debconf',
  [
    # The basic property that the resource should be in.
    # 
    # Valid values are `present`, `absent`.
    Puppet::Resource::Param(Enum['present', 'absent'], 'ensure'),

    # The value for the item (e.g. 'Europe').
    # 
    # Values can match `/\S/`.
    Puppet::Resource::Param(Pattern[/\S/], 'value'),

    # The value of the 'seen' flag. This can be left undefined or be one
    # of the boolean values true or false.
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'seen')
  ],
  [
    # The item name. This string must have the following format: the
    # package name, a literal slash char and the name of the question (e.g.
    # 'tzdata/Areas').
    # 
    # Values can match `/^[a-z0-9][a-z0-9:.+-]+\/[a-zA-Z0-9\/_.+-]+$/`.
    Puppet::Resource::Param(Pattern[/^[a-z0-9][a-z0-9:.+-]+\/[a-zA-Z0-9\/_.+-]+$/], 'item', true),

    # The package the item belongs to. The default is the first part (up
    # to the first '/') of the item parameter (e.g. 'tzdata').
    # 
    # Values can match `/^[a-z0-9][a-z0-9:.+-]+$/`.
    Puppet::Resource::Param(Pattern[/^[a-z0-9][a-z0-9:.+-]+$/], 'package'),

    # The type of the item. This can only be one of the following
    # values: string, boolean, select, multiselect, note, text, password,
    # title.
    # 
    # Valid values are `string`, `boolean`, `select`, `multiselect`, `note`, `text`, `password`, `title`.
    Puppet::Resource::Param(Enum['string', 'boolean', 'select', 'multiselect', 'note', 'text', 'password', 'title'], 'type'),

    # The specific backend to use for this `debconf`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # debian
    # : Manage debconf database entries on Debian based systems.
    # 
    #   * Default for `osfamily` == `debian`.
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /(?m-ix:(.*))/ => ['item']
  },
  true,
  false)
