# This file was automatically generated on 2019-11-18 18:15:33 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Please use the ``systemd`` module for systems that support ``systemd``
# 
# Update ``ulimit`` settings in init scripts.
# 
# The resource name does have to be unique but is meaningless.
# 
# Valid ``limit_type`` names are:
# 
#   * b|socket_buffer_size
#   * c|max_core_size
#   * d|max_data_segment
#   * e|max_nice
#   * f|max_file_size
#   * i|max_pending_signals
#   * l|max_memory_lock_size
#   * m|max_resident_set_size
#   * n|max_open_files (default)
#   * p|max_queue_size
#   * r|max_real_time_pri
#   * s|max_stack_size
#   * t|max_cpu_time
#   * u|max_num_procs
#   * v|max_virt_memory
#   * x|max_file_locks
#   * T|max_threads
# 
# All of these are explained in the ``ulimit`` section of ``bash_builtins(1)``
# 
# The parameter names are taken from the descriptive field names used in
# ``limits.conf``.
# 
# @example Long Names
# 
#   init_ulimit { 'rsyslog':
#     ensure     => 'present',
#     limit_type => 'both'
#     item       => 'max_open_files',
#     value      => 'unlimited'
#   }
# 
# @example Short Names
# 
#   init_ulimit { 'rsyslog':
#     item       => 'n',
#     value      => 'unlimited'
#   }
Puppet::Resource::ResourceType3.new(
  'init_ulimit',
  [
    # The basic property that the resource should be in.
    # 
    # Valid values are `present`, `absent`.
    Puppet::Resource::Param(Enum['present', 'absent'], 'ensure'),

    # The value to which to set the new limit.
    # 
    # Valid values are `hard`, `soft`, `unlimited`. Values can match `/^\d+$/`.
    Puppet::Resource::Param(Variant[Enum['hard', 'soft', 'unlimited'], Pattern[/^\d+$/]], 'value')
  ],
  [
    # A unique name for the resource
    Puppet::Resource::Param(Any, 'name'),

    # The service that will be modified. If you specify a full path, that will be used instead.
    Puppet::Resource::Param(Any, 'target', true),

    # The limit type: hard|soft|both
    # 
    # Valid values are `soft`, `hard`, `both`.
    Puppet::Resource::Param(Enum['soft', 'hard', 'both'], 'limit_type'),

    # The system limit resource to modify
    Puppet::Resource::Param(Any, 'item', true),

    # The specific backend to use for this `init_ulimit`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # systemd
    # : Provides the ability to set ``ulimit`` settings for ``systemd`` scripts.
    # 
    #   Deprecated: The ``systemd`` module shoould be used for this now.
    # 
    #   * Required binaries: `systemctl`.
    #   * Default for `kernel` == `Linux`.
    # 
    # sysv
    # : A provider for updating ulimits in SYSV init.d startup scripts
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /^(.+?)\|?(.+)$/ => ['item', 'target']
  },
  true,
  false)
