# This file was automatically generated on 2019-11-18 18:15:32 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Manages OpenLDAP BDB and HDB databases.
Puppet::Resource::ResourceType3.new(
  'openldap_database',
  [
    # The basic property that the resource should be in.
    # 
    # Valid values are `present`, `absent`.
    Puppet::Resource::Param(Enum['present', 'absent'], 'ensure'),

    # The index of the database.
    Puppet::Resource::Param(Any, 'index'),

    # The name of the backend.
    # 
    # Valid values are `bdb`, `hdb`, `mdb`, `monitor`, `config`, `relay`.
    Puppet::Resource::Param(Enum['bdb', 'hdb', 'mdb', 'monitor', 'config', 'relay'], 'backend'),

    # The directory where the BDB files containing this database and associated indexes live.
    Puppet::Resource::Param(Any, 'directory'),

    # The distinguished name that is not subject to access control or administrative limit restrictions for operations on this database.
    Puppet::Resource::Param(Any, 'rootdn'),

    # Password (or hash of the password) for the rootdn.
    Puppet::Resource::Param(Any, 'rootpw'),

    # Puts the database into read-only mode.
    Puppet::Resource::Param(Any, 'readonly'),

    # Specifies the maximum number of entries to return from a search operation.
    Puppet::Resource::Param(Any, 'sizelimit'),

    # Specifies the maximum size of the DB in bytes.
    Puppet::Resource::Param(Any, 'dbmaxsize'),

    # Specifies the maximum number of seconds (in real time) slapd will spend answering a search request.
    Puppet::Resource::Param(Any, 'timelimit'),

    # This directive is only applicable in a slave slapd. It specifies the URL to return to clients which submit update requests upon the replica.
    Puppet::Resource::Param(Any, 'updateref'),

    # Hash to pass specific HDB/BDB options for the database
    Puppet::Resource::Param(Any, 'dboptions'),

    # This option puts a replica database into "mirror" mode
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'mirrormode'),

    # Store the syncrepl contextCSN in a subentry instead of the context entry of the database
    Puppet::Resource::Param(Any, 'syncusesubentry'),

    # Specify the current database as a replica which is kept up-to-date with the master content by establishing the current slapd(8) as a replication consumer site running a syncrepl replication engine.
    Puppet::Resource::Param(Any, 'syncrepl'),

    # Limits the number entries returned and/or the time spent by a request
    Puppet::Resource::Param(Any, 'limits'),

    # The olcSecurity configuration.
    Puppet::Resource::Param(Any, 'security')
  ],
  [
    # The default namevar.
    Puppet::Resource::Param(Any, 'suffix', true),

    # The relay configuration.
    Puppet::Resource::Param(Any, 'relay'),

    Puppet::Resource::Param(Any, 'target'),

    # When true it initiales the database with the top object. When false, it does not create any object in the database, so you have to create it by other mechanism. It defaults to true
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'initdb'),

    # Whether specified dboptions should be considered the complete list (inclusive) or the minimum list (minimum) of dboptions the database should have. Defaults to minimum.
    # 
    # Valid values are inclusive, minimum.
    # 
    # Valid values are `inclusive`, `minimum`.
    Puppet::Resource::Param(Enum['inclusive', 'minimum'], 'synctype'),

    # The specific backend to use for this `openldap_database`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # augeas
    # : Uses Augeas API to update OpenLDAP databases
    # 
    # olc
    # : * Default for `osfamily` == `debian, redhat`.
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /(?m-ix:(.*))/ => ['suffix']
  },
  true,
  false)
