# This file was automatically generated on 2019-11-18 18:15:33 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Notifies users when a system reboot is required.
# 
# This type creates a file at $target the contents of which
# provide a summary of the reasons why the system requires a
# reboot.
# 
# NOTE: This type will *only* register entries on refresh. Any
# other use of the type will not report the necessary reboot.
# 
# A reboot notification will be printed at each puppet run until
# the system is successfully rebooted.
Puppet::Resource::ResourceType3.new(
  'reboot_notify',
  [
    # Valid values are `present`, `absent`.
    Puppet::Resource::Param(Enum['present', 'absent'], 'ensure')
  ],
  [
    # The item that is being modified that requires a reboot
    Puppet::Resource::Param(Any, 'name'),

    # An optional reason for rebooting
    Puppet::Resource::Param(Any, 'reason'),

    # This resource is only for control and should not add an item to the notification list
    # 
    # You may only have ONE resource with this set to `true` in your catalog
    # 
    # Valid values are `true`, `false`, `yes`, `no`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false', 'yes', 'no']], 'control_only'),

    # Set the message log level for notifications
    # 
    # This is only active with :control_only set to `true`
    # 
    # Valid values are `alert`, `crit`, `debug`, `notice`, `emerg`, `err`, `info`, `warning`.
    Puppet::Resource::Param(Enum['alert', 'crit', 'debug', 'notice', 'emerg', 'err', 'info', 'warning'], 'log_level'),

    # The specific backend to use for this `reboot_notify`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # notify
    # : Management of the reboot notification metadata file.
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /(?m-ix:(.*))/ => ['name']
  },
  true,
  false)
