# This file was automatically generated on 2019-11-18 18:15:33 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Changes the system runlevel by re-evaluating the inittab or systemd link.
# Arguments:
# 
# name
#   - the runlevel to evaluate for the system
# 
# persist
#   - boolean value that determines whether or not to set as the default runlevel of the system
# 
# Example:
# 
#     runlevel { '3': persist => true, }
Puppet::Resource::ResourceType3.new(
  'runlevel',
  [
    # The target runlevel of the system. Defaults to what is specified in :name
    # 
    # Valid values are `rescue`, `multi-user`, `graphical`, `default`. Values can match `/^[1-5]$/`.
    Puppet::Resource::Param(Variant[Enum['rescue', 'multi-user', 'graphical', 'default'], Pattern[/^[1-5]$/]], 'level'),

    # Whether or not to save the runlevel as default.
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'persist')
  ],
  [
    # The target runlevel of the system
    # 
    # Valid values are `rescue`, `multi-user`, `graphical`. Values can match `/^[1-5]$/`.
    Puppet::Resource::Param(Variant[Enum['rescue', 'multi-user', 'graphical'], Pattern[/^[1-5]$/]], 'name', true),

    # How many seconds to wait for a runlevel switch before failing
    # 
    # Values can match `/^\d+$/`.
    Puppet::Resource::Param(Pattern[/^\d+$/], 'transition_timeout'),

    # The specific backend to use for this `runlevel`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # systemd
    # : Set the system runlevel using systemd
    # 
    #   * Required binaries: `/usr/bin/systemctl`, `pgrep`.
    #   * Default for `kernel` == `Linux`.
    # 
    # telinit
    # : Set the system runlevel using telinit
    # 
    #   * Required binaries: `/sbin/telinit`.
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /(?m-ix:(.*))/ => ['name']
  },
  true,
  false)
