# This file was automatically generated on 2019-11-18 18:15:17 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Manages variables in simple shell scripts.
Puppet::Resource::ResourceType3.new(
  'shellvar',
  [
    # Create or remove the shellvar entry
    # 
    # Valid values are `present`, `absent`, `unset`, `exported`.
    Puppet::Resource::Param(Enum['present', 'absent', 'unset', 'exported'], 'ensure'),

    # Value to change the variable to.
    Puppet::Resource::Param(Any, 'value'),

    # Text to be stored in a comment immediately above the entry.  It will be automatically prepended with the name of the variable in order for the provider to know whether it controls the comment or not.
    Puppet::Resource::Param(Any, 'comment')
  ],
  [
    # The default namevar
    Puppet::Resource::Param(Any, 'name'),

    # The name of the variable, e.g. OPTIONS
    Puppet::Resource::Param(Any, 'variable', true),

    # Quoting method to use, defaults to `auto`.
    # 
    # * `auto` will quote only if necessary, leaving existing quotes as-is
    # * `double` and `single` will always quotes
    # * `none` will remove quotes, which may result in save failures
    # 
    # Valid values are `auto`, `double`, `single`, `none`, `false`, `true`.
    Puppet::Resource::Param(Variant[Boolean, Enum['auto', 'double', 'single', 'none', 'false', 'true']], 'quoted'),

    # Type of array mapping to use, defaults to `auto`.
    # 
    # * `auto` will detect the current type, and default to `string`
    # * `string` will render the array as a string and use space-separated values
    # * `array` will render the array as a shell array
    # 
    # Valid values are `auto`, `string`, `array`.
    Puppet::Resource::Param(Enum['auto', 'string', 'array'], 'array_type'),

    # Whether to add to existing array values or replace all values.
    # 
    # Valid values are `false`, `true`.
    Puppet::Resource::Param(Variant[Boolean, Enum['false', 'true']], 'array_append'),

    # The file in which to store the variable.
    Puppet::Resource::Param(Any, 'target', true),

    # Whether to remove commented value when found.
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'uncomment'),

    # The specific backend to use for this `shellvar`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # augeas
    # : Uses Augeas API to update shell script variables
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /^((\S+)\s+in\s+(\S+))$/ => ['name', 'variable', 'target'],
    /((\S+))/ => ['name', 'variable'],
    /(.*)/ => ['name']
  },
  true,
  false)
