# This file was automatically generated on 2019-11-18 18:15:33 +0300.
# Use the 'puppet generate types' command to regenerate this file.

# Ensures that a given line is contained within a file.  The implementation
# matches the full line, including whitespace at the beginning and end.  If
# the line is not contained in the given file, Puppet will add the line to
# ensure the desired state.  Multiple resources may be declared to manage
# multiple lines in the same file.
# 
# Example:
# 
#     simp_file_line { 'sudo_rule':
#       path => '/etc/sudoers',
#       line => '%sudo ALL=(ALL) ALL',
#     }
#     simp_file_line { 'sudo_rule_nopw':
#       path => '/etc/sudoers',
#       line => '%sudonopw ALL=(ALL) NOPASSWD: ALL',
#     }
# 
# In this example, Puppet will ensure both of the specified lines are
# contained in the file /etc/sudoers.
# 
# This is an enhancement to the stdlib file_line that allows for the
# following additional options:
#   * prepend     => [binary] Prepend the line instead of appending it if not
#                    using 'match'
#   * deconflict  => [binary] Do not execute if there is a file resource that
#                    already manipulates the content of the target file.
Puppet::Resource::ResourceType3.new(
  'simp_file_line',
  [
    # The basic property that the resource should be in.
    # 
    # Valid values are `present`, `absent`.
    Puppet::Resource::Param(Enum['present', 'absent'], 'ensure')
  ],
  [
    # An arbitrary name used as the identity of the resource.
    Puppet::Resource::Param(Any, 'name', true),

    # An optional regular expression to run against existing lines in the file.
    # If a match is found, we replace that line rather than adding a new line.
    Puppet::Resource::Param(Any, 'match'),

    # The line to be added to the file located by the path parameter.
    Puppet::Resource::Param(Any, 'line'),

    # The file Puppet will ensure contains the line specified by the line parameter.
    Puppet::Resource::Param(Any, 'path'),

    # Do not execute this type if there is a file type that already manages the
    # content of the target file unless $replace == false
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'deconflict'),

    # Prepend the line to the file if not using match
    # 
    # Valid values are `true`, `false`.
    Puppet::Resource::Param(Variant[Boolean, Enum['true', 'false']], 'prepend'),

    # The specific backend to use for this `simp_file_line`
    # resource. You will seldom need to specify this --- Puppet will usually
    # discover the appropriate provider for your platform.Available providers are:
    # 
    # ruby
    # : Provides the ability to prepend, append, or simply add lines to a file.
    # 
    #   Will create the file if it doesn't exist.
    Puppet::Resource::Param(Any, 'provider')
  ],
  {
    /(?m-ix:(.*))/ => ['name']
  },
  true,
  false)
