# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`loki`](#loki): A short summary of the purpose of this class

#### Private Classes

* `loki::config`: A short summary of the purpose of this class
* `loki::install`: A short summary of the purpose of this class
* `loki::service`: A short summary of the purpose of this class

## Classes

### <a name="loki"></a>`loki`

A description of what this class does

#### Examples

##### Minimal example, creates a standalone loki instance (not desinged for production).

```puppet
class{ 'loki':
  auth_enabled                => false,
  schema_config_hash          => {'schema_config' => {
                                    'configs' => [{
                                      'from'         => '2020-05-15',
                                      'store'        => 'boltdb',
                                      'object_store' => 'filesystem',
                                      'schema'       => 'v11',
                                      'index'        => {'prefix' => 'index_', 'period' => '168h'},
                                    }]
                                  }},
  storage_config_hash         => {'storage_config' => {
                                    'boltdb'     => { 'directory' => '/var/lib/loki/index'},
                                    'filesystem' => {'directory' => '/var/lib/loki/chunks'},
                                  }},
  server_config_hash          => {'server' => {
                                    'http_listen_port'    => 3100,
                                    'http_listen_address' => $facts['networking']['ip']},
                                  },
  ingester_client_config_hash => {'ingester' => {
                                    'lifecycler' => {
                                        'interface_names' => [$facts['networking']['primary']],
                                        'address'         => '127.0.0.1',
                                        'ring'            => {'kvstore' =>{'store' => 'inmemory'}, 'replication_factor' => 1},
                                    }
                                  }},
}
```

#### Parameters

The following parameters are available in the `loki` class:

* [`bin_dir`](#bin_dir)
* [`config_dir`](#config_dir)
* [`data_dir`](#data_dir)
* [`group`](#group)
* [`install_method`](#install_method)
* [`manage_service`](#manage_service)
* [`package_name`](#package_name)
* [`package_version`](#package_version)
* [`schema_config_hash`](#schema_config_hash)
* [`service_name`](#service_name)
* [`service_provider`](#service_provider)
* [`service_ensure`](#service_ensure)
* [`storage_config_hash`](#storage_config_hash)
* [`user`](#user)
* [`version`](#version)
* [`auth_enabled`](#auth_enabled)
* [`chunk_store_config_hash`](#chunk_store_config_hash)
* [`compactor_config_hash`](#compactor_config_hash)
* [`distributor_config_hash`](#distributor_config_hash)
* [`frontend_worker_config_hash`](#frontend_worker_config_hash)
* [`ingester_client_config_hash`](#ingester_client_config_hash)
* [`ingester_config_hash`](#ingester_config_hash)
* [`limits_config_hash`](#limits_config_hash)
* [`manage_user`](#manage_user)
* [`manage_unit_file`](#manage_unit_file)
* [`querier_config_hash`](#querier_config_hash)
* [`query_frontend_config_hash`](#query_frontend_config_hash)
* [`queryrange_config_hash`](#queryrange_config_hash)
* [`ruler_config_hash`](#ruler_config_hash)
* [`runtime_config_hash`](#runtime_config_hash)
* [`server_config_hash`](#server_config_hash)
* [`table_manager_config_hash`](#table_manager_config_hash)
* [`target`](#target)
* [`tracing_config_hash`](#tracing_config_hash)

##### <a name="bin_dir"></a>`bin_dir`

Data type: `Stdlib::Absolutepath`



##### <a name="config_dir"></a>`config_dir`

Data type: `Stdlib::Absolutepath`



##### <a name="data_dir"></a>`data_dir`

Data type: `Stdlib::Absolutepath`



##### <a name="group"></a>`group`

Data type: `String[1]`



##### <a name="install_method"></a>`install_method`

Data type: `Enum['archive','package']`



##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`



##### <a name="package_name"></a>`package_name`

Data type: `String[1]`



##### <a name="package_version"></a>`package_version`

Data type: `String[1]`



##### <a name="schema_config_hash"></a>`schema_config_hash`

Data type: `Hash`



##### <a name="service_name"></a>`service_name`

Data type: `String[1]`



##### <a name="service_provider"></a>`service_provider`

Data type: `Enum['systemd']`



##### <a name="service_ensure"></a>`service_ensure`

Data type: `Enum['running','stopped']`



##### <a name="storage_config_hash"></a>`storage_config_hash`

Data type: `Hash`



##### <a name="user"></a>`user`

Data type: `String[1]`



##### <a name="version"></a>`version`

Data type: `String[1]`



##### <a name="auth_enabled"></a>`auth_enabled`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="chunk_store_config_hash"></a>`chunk_store_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="compactor_config_hash"></a>`compactor_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="distributor_config_hash"></a>`distributor_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="frontend_worker_config_hash"></a>`frontend_worker_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="ingester_client_config_hash"></a>`ingester_client_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="ingester_config_hash"></a>`ingester_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="limits_config_hash"></a>`limits_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="manage_user"></a>`manage_user`

Data type: `Boolean`



Default value: `$install_method`

##### <a name="manage_unit_file"></a>`manage_unit_file`

Data type: `Boolean`



Default value: `$install_method`

##### <a name="querier_config_hash"></a>`querier_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="query_frontend_config_hash"></a>`query_frontend_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="queryrange_config_hash"></a>`queryrange_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="ruler_config_hash"></a>`ruler_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="runtime_config_hash"></a>`runtime_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="server_config_hash"></a>`server_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="table_manager_config_hash"></a>`table_manager_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="target"></a>`target`

Data type: `Optional[Enum['all', 'querier', 'table-manager', 'ingester', 'distributor']]`



Default value: ``undef``

##### <a name="tracing_config_hash"></a>`tracing_config_hash`

Data type: `Optional[Hash]`



Default value: ``undef``

