# @summary A short summary of the purpose of this class
#
# https://grafana.com/docs/loki/next/configuration/
#
# @api private
class loki::config {
  $config_file = "${loki::config_dir}/loki.yaml"
  $retention_period = $::loki::retention_period
  file { $config_file:
    ensure  => present,
    content => template("$module_name/loki.yaml.erb"),
    mode => '0644',
    owner => $::loki::user,
    group => $::loki::group,
  }

}
