#!/bin/sh
# postgresql area
if hash pg_lsclusters 2>/dev/null; then
	postgres_version=$( pg_lsclusters -h | head -n 1 | awk '{print $1}' )
	postgres_status=$( pg_lsclusters -h | head -n 1 | awk '{print $4}' )
	postgres_owner=$( pg_lsclusters -h | head -n 1 | awk '{print $5}' )
	pg_backup_path="/tmp/db_dump/pg_backup"
	pg_test_config="/usr/local/etc/pg_backup.conf"

	TS=$(date +%Y%m%d_%H%M%S)

	if  [ -d $pg_backup_path ]; then
		/bin/rm -rf $pg_backup_path
	fi

	if [ $postgres_status = "online" ]; then
		/bin/su - $postgres_owner -c bash <<EOF
mkdir -p -m 700 $pg_backup_path
pg_basebackup -v -P -R -c fast -h 127.0.0.1 -D ${pg_backup_path} --xlog -l $TS
/bin/cp /etc/postgresql/$postgres_version/main/pg_hba.conf $pg_backup_path/
/bin/cp /etc/postgresql/$postgres_version/main/pg_ident.conf $pg_backup_path/
/usr/lib/postgresql/$postgres_version/bin/postgres -D $pg_backup_path -c config_file=$pg_test_config > /tmp/postgres 2>&1 &
sleep 10
/usr/lib/postgresql/$postgres_version/bin/pg_ctl -D $pg_backup_path status && /usr/lib/postgresql/$postgres_version/bin/pg_ctl -D $pg_backup_path stop && /bin/tar --remove-files -czf /tmp/db_dump/pg_backup.tgz $pg_backup_path
EOF
		if [ $? -ne 0 ]; then
			cat /tmp/postgres
			exit 1
		fi
	fi
fi
