# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`timezone`](#timezone): This module manages timezone settings

## Classes

### timezone

This module manages timezone settings

#### Examples

##### 

```puppet
class { 'timezone':
  timezone => 'Europe/Berlin',
}
```

#### Parameters

The following parameters are available in the `timezone` class.

##### `timezone`

Data type: `String`

The name of the timezone.

Default value: 'Etc/UTC'

##### `ensure`

Data type: `Enum['present','absent']`

Ensure if present or absent.

Default value: 'present'

##### `autoupgrade`

Data type: `Boolean`

Upgrade package automatically, if there is a newer version.

Default value: `false`

##### `package`

Data type: `Optional[String]`

Name of the package.
Only set this, if your platform is not supported or you know, what you're doing.

Default value: `undef`

##### `config_file`

Main configuration file.
Only set this, if your platform is not supported or you know, what you're doing.

##### `zoneinfo_dir`

Data type: `String`

Source directory of zoneinfo files.
Only set this, if your platform is not supported or you know, what you're doing.
Default: auto-set, platform specific

Default value: '/usr/share/zoneinfo/'

##### `hwutc`

Data type: `Optional[Boolean]`

Is the hardware clock set to UTC? (true or false)

Default value: `undef`

##### `notify_services`

Data type: `Optional[Array[String]]`

List of services to notify

Default value: `undef`

##### `localtime_file`

Data type: `String`



Default value: '/etc/localtime'

##### `timezone_file`

Data type: `Optional[String]`



Default value: `undef`

##### `timezone_file_template`

Data type: `Optional[String]`



Default value: 'timezone/clock.erb'

##### `timezone_file_supports_comment`

Data type: `Optional[Boolean]`



Default value: `undef`

##### `timezone_update`

Data type: `Optional[String]`



Default value: `undef`

