# install bashrc
class veil_cli::bashrc {

  $cli_ensure = lookup('cli_ensure')
  if $cli_ensure == true {
    exec { "chk_veilshell_exist":
      command => "test -x /var/lib/ecp-veil/cli/app/shell.py",
      path    => ["/usr/bin", "/usr/sbin", "/bin"],
    }
    file { "/root/.bashrc":
      source  => [ "puppet:///modules/${module_name}/.bashrc" ],
      owner   => 'root',
      group   => 'root',
      mode    => '0644',
      require => Exec["chk_veilshell_exist"],
    }
  } else {
        file { "/root/.bashrc":
      source  => [ "puppet:///modules/${module_name}/.bashrc_no_cli" ],
      owner   => 'root',
      group   => 'root',
      mode    => '0644',
    }
  }
  file { "/root/.bash_profile":
    ensure => 'link',
    target => '/root/.bashrc',
    }
}
