# configure environment to install controller from .deb and dev repo
class veil_controller::dirs {
  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')
  $veil_controller_nginx_redirect = lookup('veil_controller_nginx_redirect')

  $file_defaults = {
    'ensure' => directory,
  }
  file { "/var/lib/ecp-veil/.users/veil-controller":
    mode => '0700',
    owner => $veil_controller_user,
    group => $veil_controller_user,
    ensure => directory,
  } ->
  file { "/var/lib/ecp-veil/.users/veil-controller/.ssh":
    mode => '0700',
    owner => $veil_controller_user,
    group => $veil_controller_user,
    ensure => directory,
  } ->
  file { "/var/lib/ecp-veil/.users/veil-controller/.ssh/config":
    mode => '0600',
    owner => $veil_controller_user,
    group => $veil_controller_user,
    ensure  => file,
  } ->
  file { '/var/lib/ecp-veil/controller/app/bazalt/settings_system.py':
    source => [ "puppet:///modules/${module_name}/settings_system.py" ],
    ensure  => 'present',
    replace => 'no', # this is the important property
    mode    => '0640',
    owner => $veil_controller_user,
    group => $veil_global_group,
  }
  if $veil_controller_nginx_redirect == true {
    file { "/etc/nginx/conf.d/nginx_veil.conf":
      source => [ "puppet:///modules/${module_name}/nginx_veil_redirect.conf" ],
      ensure  => 'present',
      mode => '0440',
    }
  } else {
    file { "/etc/nginx/conf.d/nginx_veil.conf":
      source => [ "puppet:///modules/${module_name}/nginx_veil.conf" ],
      ensure  => 'present',
      mode => '0440',
    }
  }
}
