# configure environment to install controller from .deb and dev repo
class veil_controller {

  require veil_repos
  require veil_utils

  contain '::veil_controller::nginx_slave_inc'
  contain '::veil_controller::repo_params'
  contain '::veil_controller::install'
  contain '::veil_controller::install_deps'

  contain '::veil_controller::fluentd_user'
  contain '::veil_controller::fluentd_install'
  contain '::veil_controller::fluentd_config'
  contain '::veil_controller::init_services'
  contain '::veil_controller::dirs'
  contain '::veil_controller::controller_conf'
  contain '::veil_controller::linstor_conf'
  contain '::veil_controller::class_deps'
  contain '::veil_controller::serial'
  contain '::veil_controller::settings'
  contain '::veil_controller::finalize'

  Class['veil_controller::nginx_slave_inc']
  -> Class['veil_controller::repo_params']
  -> Class['veil_controller::install']
  -> Class['veil_controller::install_deps']
  -> Class['veil_controller::fluentd_user']
  -> Class['veil_controller::fluentd_install']
  -> Class['veil_controller::fluentd_config']
  -> Class['veil_controller::init_services']
  -> Class['veil_controller::controller_conf']
  -> Class['veil_controller::linstor_conf']
  -> Class['veil_controller::dirs']
  -> Class['veil_controller::class_deps']
  -> Class['veil_controller::serial']
  -> Class['veil_controller::settings']
  -> Class['veil_controller::finalize']

  if defined('$::controller_slave_ip') {
    if $controller_slave_ip != "127.0.0.1" {
      cron { 'veil_controller_master_sync':
        user        => 'root',
        minute      => '*',
        command     => 'nice -n 19 ionice -c 3 /usr/bin/flock -w0 -x /tmp/pa.lock /usr/local/sbin/veil-controller -u > /var/log/veil_controller_sync.log 2>&1',
        environment => 'PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin',
      }
    } else {
      cron { 'veil_controller_master_sync':
        ensure      => absent,
        user        => 'root',
        minute      => '*',
        command     => 'nice -n 19 ionice -c 3 /usr/bin/flock -w0 -x /tmp/pa.lock /usr/local/sbin/veil-controller -u > /var/log/veil_controller_sync.log 2>&1',
        environment => 'PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin',
      }
    }
  }

  if defined('$::controller_master_ip') {
    if $controller_master_ip != "127.0.0.1" {
      cron { 'veil_controller_slave_sync':
        user        => 'root',
        minute      => '*',
        command     => 'nice -n 19 ionice -c 3 /usr/bin/flock -w0 -x /tmp/pa.lock /usr/local/sbin/veil-controller -c > /var/log/veil_controller_sync.log 2>&1',
        environment => 'PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin',
      }
    } else {
      cron { 'veil_controller_slave_sync':
        ensure      => absent,
        user        => 'root',
        minute      => '*',
        command     => 'nice -n 19 ionice -c 3 /usr/bin/flock -w0 -x /tmp/pa.lock /usr/local/sbin/veil-controller -c > /var/log/veil_controller_sync.log 2>&1',
        environment => 'PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin',
      }
    }
  }

}
