# configure environment to install controller from .deb and dev repo
class veil_controller::init_services (
    $charset="UTF-8",
    $lang="en_US.UTF-8" ) {

  $veil_linstor_ensure = lookup('veil_controller::linstor_ensure')

  file { "/lib/systemd/system/controller-supervisor.service":
    source  => [
            "puppet:///modules/${module_name}/controller-supervisor.service.${fqdn}",
            "puppet:///modules/${module_name}/controller-supervisor.service",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }
  file { "/lib/systemd/system/gunicorn-django.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-django.service.${fqdn}",
            "puppet:///modules/${module_name}/gunicorn-django.service",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }
  file { "/lib/systemd/system/gunicorn-proxy.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-proxy.service.${fqdn}",
            "puppet:///modules/${module_name}/gunicorn-proxy.service",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }
  file { "/lib/systemd/system/gunicorn-uploader.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-uploader.service.${fqdn}",
            "puppet:///modules/${module_name}/gunicorn-uploader.service",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }
  file { "/lib/systemd/system/gunicorn-logger.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-logger.service.${fqdn}",
            "puppet:///modules/${module_name}/gunicorn-logger.service",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }
  file { "/lib/systemd/system/gunicorn-apiclient.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-apiclient.service.${fqdn}",
            "puppet:///modules/${module_name}/gunicorn-apiclient.service",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }
  file { "/etc/conf.d/gunicorn_log.conf":
    source  => [
            "puppet:///modules/${module_name}/gunicorn_log.conf.${fqdn}",
            "puppet:///modules/${module_name}/gunicorn_log.conf",
    ],
    owner => 'root',
    group => 'root',
    mode => '0644',
  }

 service { 'gunicorn-django':
    ensure => 'running',
    enable => true,
  }
  service { 'daphne-django':
    ensure => 'running',
    enable => true,
  }
 service { 'gunicorn-proxy':
    ensure => 'running',
    enable => true,
  }
 service { 'gunicorn-uploader':
    ensure => 'running',
    enable => true,
  }
 service { 'controller-supervisor':
    ensure => 'running',
    enable => true,
  }
 service { 'gunicorn-logger':
    ensure => 'running',
    enable => true,
  }
 service { 'linstor-controller':
    ensure => $veil_linstor_ensure,
    enable => $veil_linstor_ensure,
  }

  # TEST4
  file { "/var/lib/ecp-veil/tests/ctr_init_test4.sh":
    ensure  => present,
    content => template("${module_name}/ctr_init_test4.sh.erb"),
    mode => '0550',
  }

}
