# configure environment to install controller from .deb and dev repo
class veil_controller::install
{
  $veil_env = hiera('veil_env')
  $controller_ensure = hiera('controller_ensure')
  $distribution = hiera('distribution')

  ensure_resource('package', ["$distribution-controller-env", "$distribution-controller-app"], { 'ensure' => $controller_ensure } )

  package { 'apt-cacher-ng':
    ensure => $apt_cacher_ng_ensure,
  }

  file { "/etc/apt-cacher-ng/acng.conf":
    ensure  => present,
    mode    => '0644',
    source  => [ "puppet:///modules/${module_name}/acng.conf" ],
    notify  => Service['apt-cacher-ng'],
    require => Package['apt-cacher-ng'],
  }

  service { 'apt-cacher-ng':
    ensure     => $apt_cacher_ng_service_ensure,
    enable     => $apt_cacher_ng_enable,
    hasrestart => true,
    hasstatus  => true,
    require    => Package['apt-cacher-ng'],
  }

  # TEST1
  file { "/var/lib/ecp-veil/tests/ctr_init_test1.sh":
    ensure  => present,
    content => template("${module_name}/ctr_init_test1.sh.erb"),
    mode => '0550',
  }

}
