#!/bin/sh
deb_subr="/usr/share/veil/deb.subr"

set -e
. ${deb_subr}
. /etc/veil/global.conf
set +e

set_issue_banner()
{
	local _uplink
	local _ipv4
	_uplink=$( get_default_uplink )

	case "${_uplink}" in
		unknown)
			_ipv4="unknown"
			;;
		*)
			_ipv4=$( hostname -I )
			[ -z "${_ipv4}" ] && _ipv4="unknown"
			;;
	esac

	echo > /etc/issue
	[ "${_ipv4}" != "unknown" ] && echo "IPv4: ${_ipv4}" >> /etc/issue
	if [ -n "${VEIL_ENV}" ]; then
	 echo "Env: ${VEIL_ENV}" >> /etc/issue
	 echo "${VEIL_ENV}" > /tmp/veil_env
  fi
	[ -r "${CONTROLLER_CONFIG_DIR}/build" ] && . "${CONTROLLER_CONFIG_DIR}/build"
	[ -r "${NODE_CONFIG_DIR}/build" ] && . "${NODE_CONFIG_DIR}/build"

	[ -n "${ECP_BUILD_DATE}" ] && echo "Build date: ${ECP_BUILD_DATE}" >> /etc/issue
	[ -n "${ECP_CONTROLLER_VER}" ] && echo "Controller ver: ${ECP_CONTROLLER_VER}" >> /etc/issue
	[ -n "${ECP_NODE_VER}" ] && echo "Node ver: ${ECP_NODE_VER}" >> /etc/issue
	echo >> /etc/issue

	truncate -s0 /etc/motd
}

set_issue_banner
