# configure environment to install controller from .deb and dev repo
class veil_global_conf ()
{
  require veil_repos
  require veil_utils

  $veil_bridge_auto_configure = hiera('veil_bridge_auto_configure')
  $veil_node_oui = hiera('veil_node_oui')
  $veil_default_ovs = hiera('veil_default_ovs')
  $veil_blackhole_ovs = hiera('veil_blackhole_ovs')
  $veil_mgmt_interface = hiera('veil_mgmt_interface')
  $veil_env = hiera('veil_env')
  $veil_global_group = hiera('veil_global_group')
  $distribution = hiera('distribution')

  file { "/etc/veil/global.conf":
    ensure  => present,
    content => template("${module_name}/global.conf.erb"),
    mode => '0644',
    owner => $veil_controller_user,
    group => $veil_global_group,
  }

  if ! defined(File["/usr/local/bin/update-veil-issue.sh"]) {
  file { "/usr/local/bin/update-veil-issue.sh":
    ensure  => present,
    source  => [ "puppet:///modules/${module_name}/update-veil-issue.sh" ],
    mode => '0555',
    owner => 0,
    group => 0,
  }
  }

  exec { "/usr/local/bin/update-veil-issue.sh":
    path => "/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin",
    command => "/usr/local/bin/update-veil-issue.sh",
  }
}
