# configure SpaceVM logrotate sets
class veil_logrotate {
  #include ::logrotate
  create_resources('logrotate::rule', lookup('logrotate::rule', {} ))
    # compress all core files with deletion
    exec { "compress":
      command => "zstd /var/log/crash/*.dmp -f --rm --no-progress -qq || true",
      onlyif  => "test -d /var/log/crash/",
  }
    # delete all core files older than 7 days
    exec { "delete_old":
      command => "find /var/log/crash/ -name \"*.zst\" -mtime +7 -delete",
      onlyif  => "test -d /var/log/crash/",
  }
    # make sure we have a max of 10 files; delete the oldest files if we have too many
    exec { "delete_max_count":
      provider => 'shell',
      command => "for filename in $(find /var/log/crash/ -name *.zst -printf \"%T+ %p\n\" | sort --reverse | tail --lines=+11 | cut -d' ' -f2); do rm \$filename; done",
      onlyif  => "test -d /var/log/crash/",
  }
}
