# configure environment to install controller from .deb and dev repo
class veil_node::users {
  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')
  $veil_node_user = lookup('veil_node_user')
  $veil_admins_group        = lookup('veil_admins_group')
  $veil_admins_group_gid    = lookup('veil_admins_group_gid')
  $veil_admins_group_ensure = lookup('veil_admins_group_ensure')

  group { $veil_admins_group:
    ensure     => $veil_admins_group_ensure,
    gid        => $veil_admins_group_gid,
    forcelocal => true,
  }

  user { $veil_node_user:
    ensure     => 'present',
    uid        => 931,
    forcelocal => true,
    groups     => [ $veil_global_group, 'kvm','libvirt', 'render', $veil_node_user ],
    password   => '*',
    shell      => '/bin/bash',
    home       => '/var/lib/ecp-veil/.users/veil-node',
    require    => Group[ $veil_global_group, $veil_node_user ],
  }
}
