# configure environment to install controller from .deb and dev repo
class veil_utils::users {

  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')
  $veil_node_user = lookup('veil_node_user')

  group { $veil_global_group:
    ensure     => present,
    gid        => 10000,
    forcelocal => true,
  } ->
  group { $veil_node_user:
    ensure     => present,
    gid        => 931,
    forcelocal => true,
  } ->
  group { $veil_controller_user:
    ensure     => present,
    gid        => 930,
    forcelocal => true,
  } ->
  user { $veil_controller_user:
    ensure     => 'present',
    uid        => 930,
    forcelocal => true,
    groups     => [ "$veil_global_group" ],
    password   => '*',
    shell      => '/bin/bash',
    home       => '/var/lib/ecp-veil/.users/veil-controller',
    require    => Group[ $veil_global_group, $veil_controller_user ],
  }
}
